% test plot climato with m_map

clear all
% climato file are under: ftp \us191\oceano\lib\matlab
%ncdisp('woa13_annual_surf.nc'
%mainpath = '/mnt/irdbrest_ftp/us191/oceano/lib/matlab/';
mainpath = '';
file = 'woa05';
%file = 'woa13';

SSTP = ncread([mainpath file '_annual_surf.nc'], 'WOA_MEAN_SSTP');
SSPS = ncread([mainpath file '_annual_surf.nc'], 'WOA_MEAN_SSPS');
LATX = ncread([mainpath file '_annual_surf.nc'], 'WOA_LATX');
LONX = ncread([mainpath file '_annual_surf.nc'], 'WOA_LONX');

latMin = -50; latMax = 65; lonMin = 40; lonMax = 280;
%latMin = -50; latMax = 65; lonMin = 180; lonMax = 360;
%latMin = -50; latMax = 65; lonMin = 179; lonMax = 181;

m_proj('Mercator','lat',[latMin latMax],'long',[lonMin lonMax]);

climato = SSTP;
% permute matrix
climato = permute(climato, fliplr(1:4));
climato = squeeze(climato(1, 1,:,:));

indLat = find(LATX > latMin & LATX < latMax);  

% swap negative value (west) to 180-360
LONX(find(LONX < 0)) = LONX(find(LONX < 0)) + 360;

[val, indval] = sort(LONX);
LONX          = LONX(indval);
climato       = climato(:,indval);

indLon = find(LONX > lonMin & LONX < lonMax);
lon = LONX(indLon);
lat = LATX(indLat);
m_pcolor(lon, lat, climato(indLat, indLon));
shading flat;
 m_coast('patch',[.7 .7 .7]);
 m_grid('box', 'fancy', 'tickdir', 'in', 'Fontsize', 12);
disp('end')